Package com.sun.jna.platform.win32.COM

## Class TypeLibUtil.FindName

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeLibUtil.FindName

Enclosing class:
  TypeLibUtil

    public static class TypeLibUtil.FindName
    extends java.lang.Object

The Class FindName.

Author:
  wolf.tobias@gmx.net The Class FindName.

### Constructor Summary

Constructors
`FindName​(java.lang.String nameBuf, Pointer[] pTInfo, OaIdl.MEMBERID[] rgMemId, short pcFound)` Instantiates a new find name.

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `getFound()` Gets the found.
`OaIdl.MEMBERID[]` `getMemId()` Gets the mem id.
`java.lang.String` `getNameBuf()` Gets the name buf.
`ITypeInfo[]` `getTInfo()` Gets the t info.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FindName

    FindName​(java.lang.String nameBuf,
             Pointer[] pTInfo,
             OaIdl.MEMBERID[] rgMemId,
             short pcFound)

Instantiates a new find name.

Parameters:
  `nameBuf` - the name buf
  `pTInfo` - the t info
  `rgMemId` - the rg mem id
  `pcFound` -

### Method Detail

#### getNameBuf

    public java.lang.String getNameBuf()

Gets the name buf.

Returns:
  the name buf

#### getTInfo

    public ITypeInfo[] getTInfo()

Gets the t info.

Returns:
  the t info

#### getMemId

    public OaIdl.MEMBERID[] getMemId()

Gets the mem id.

Returns:
  the mem id

#### getFound

    public short getFound()

Gets the found.

Returns:
  the found